Bug 39214 - Установка libvips тянет gsettings-desktop-schemas и libX11
Summary: Установка libvips тянет gsettings-desktop-schemas и libX11
Status: NEW
Alias: None
Product: Sisyphus
Classification: Development
Component: libvips (show other bugs)
Version: unstable
Hardware: x86_64 Linux
: P5 normal
Assignee: Vitaly Lipatov
QA Contact: qa-sisyphus
URL:
Keywords:
Depends on:
Blocks: 39205
  Show dependency tree
 
Reported: 2020-11-07 19:21 MSK by Andrey Cherepanov
Modified: 2020-11-08 16:42 MSK (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Cherepanov 2020-11-07 19:21:31 MSK
+++ Данная ошибка создана размножением ошибки 39205 +++

Установка libvips тянет слишком много десктопных библиотек:

 # apt-get install libvips
Reading Package Lists...
Building Dependency Tree...
The following extra packages will be installed:
  djvu-common fontconfig gsettings-desktop-schemas gsettings-desktop-schemas-data gtk-update-icon-cache icon-theme-hicolor ilmbase24-common libEGL libEGL-mesa libGL libGLX libGLX-mesa libICE libImageMagick6-common libImageMagick6.6 libSM libX11
  libX11-locales libXau libXcomposite libXcursor libXdamage libXdmcp libXext libXfixes libXft libXi libXinerama libXpm libXrandr libXrender libXt libXxf86vm libatk libatk-locales libavahi libcairo libcfitsio4 libcups libdatrie libdbus libde265 libdjvu
  libdrm libexif libfftw3 libfftw3-common libflif libfreetype libfribidi libgbm libgcrypt20 libgd3 libgdk-pixbuf libgdk-pixbuf-locales libgif libgio libglvnd libgomp1 libgpg-error libgraphite2 libgraphviz libgs libgtk+2 libgtk+2-locales libgts libhalf24
  libharfbuzz libheif libiex24 libilmimf24 libilmthread24 libimagequant libjasper libjbig libjpeg liblasi liblcms2 liblqr libltdl7 liblz4 libmatio libnspr libnss libopenjpeg libopenjpeg2.0 libopenslide liborc libpango libpaper libpciaccess libpixman
  libpoppler8-glib libpoppler90 libraqm libraw librsvg libsqlite3 libsystemd libthai libtiff5 libwayland-client libwayland-server libwebp7 libwmflite libx265-160 libxcb libxshmfence openexr24-common poppler-data shared-mime-info
The following NEW packages will be installed:
  djvu-common fontconfig gsettings-desktop-schemas gsettings-desktop-schemas-data gtk-update-icon-cache icon-theme-hicolor ilmbase24-common libEGL libEGL-mesa libGL libGLX libGLX-mesa libICE libImageMagick6-common libImageMagick6.6 libSM libX11
  libX11-locales libXau libXcomposite libXcursor libXdamage libXdmcp libXext libXfixes libXft libXi libXinerama libXpm libXrandr libXrender libXt libXxf86vm libatk libatk-locales libavahi libcairo libcfitsio4 libcups libdatrie libdbus libde265 libdjvu
  libdrm libexif libfftw3 libfftw3-common libflif libfreetype libfribidi libgbm libgcrypt20 libgd3 libgdk-pixbuf libgdk-pixbuf-locales libgif libgio libglvnd libgomp1 libgpg-error libgraphite2 libgraphviz libgs libgtk+2 libgtk+2-locales libgts libhalf24
  libharfbuzz libheif libiex24 libilmimf24 libilmthread24 libimagequant libjasper libjbig libjpeg liblasi liblcms2 liblqr libltdl7 liblz4 libmatio libnspr libnss libopenjpeg libopenjpeg2.0 libopenslide liborc libpango libpaper libpciaccess libpixman
  libpoppler8-glib libpoppler90 libraqm libraw librsvg libsqlite3 libsystemd libthai libtiff5 libvips libwayland-client libwayland-server libwebp7 libwmflite libx265-160 libxcb libxshmfence openexr24-common poppler-data shared-mime-info
0 upgraded, 112 newly installed, 0 removed and 0 not upgraded.
Need to get 39.4MB of archives.
After unpacking 195MB of additional disk space will be used.

 # apt-cache policy libvips
libvips:
  Installed: 8.10.1-alt1:p9+259039.100.3.1@1602168191
  Candidate: 8.10.1-alt1:p9+259039.100.3.1@1602168191
  Version Table:
 *** 8.10.1-alt1:p9+259039.100.3.1@1602168191 0
        500 http://ftp.altlinux.org p9/branch/x86_64/classic pkglist
        100 RPM Database


 # apt-get remove gsettings-desktop-schemas
Reading Package Lists...
Building Dependency Tree...
The following packages will be REMOVED:
  gsettings-desktop-schemas gtk-update-icon-cache libImageMagick6.6 libgdk-pixbuf libgio libgraphviz libgtk+2 libheif libopenslide libpoppler8-glib librsvg libvips
0 upgraded, 0 newly installed, 12 removed and 0 not upgraded.
Need to get 0B of archives.
After unpacking 30.3MB disk space will be freed.
Do you want to continue? [Y/n]
Comment 1 Michael Shigorin 2020-11-08 16:18:35 MSK
Да, этому пакету не помешал бы более внимательный майнтейнер.